Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.PixelMetric

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.PixelMetric

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.PixelMetric

extends java.lang.Enum
implements QtEnumerator

This enum describes the various available pixel metrics. A pixel metric is a style dependent size represented by a single pixel value. The following values are obsolete:

See also:
  `pixelMetric()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.PixelMetric` | `CustomEnum`
`static QStyle.PixelMetric` | `PM_ButtonDefaultIndicator` Width of the default-button indicator frame.
`static QStyle.PixelMetric` | `PM_ButtonIconSize` The default size of button icons
`static QStyle.PixelMetric` | `PM_ButtonMargin` Amount of whitespace between push button labels and the frame.
`static QStyle.PixelMetric` | `PM_ButtonShiftHorizontal` Horizontal contents shift of a button when the button is down.
`static QStyle.PixelMetric` | `PM_ButtonShiftVertical` Vertical contents shift of a button when the button is down.
`static QStyle.PixelMetric` | `PM_CheckBoxLabelSpacing` The spacing between a check box indicator and its label.
`static QStyle.PixelMetric` | `PM_CheckListButtonSize` Area (width/height) of the checkbox/radio button in a Q3CheckListItem.
`static QStyle.PixelMetric` | `PM_CheckListControllerSize` Area (width/height) of the controller in a Q3CheckListItem.
`static QStyle.PixelMetric` | `PM_ComboBoxFrameWidth` Frame width of a combo box, defaults to `PM_DefaultFrameWidth` .
`static QStyle.PixelMetric` | `PM_CustomBase` Base value for custom pixel metrics.
`static QStyle.PixelMetric` | `PM_DefaultChildMargin` Use `PM_LayoutLeftMargin` , `PM_LayoutTopMargin` , `PM_LayoutRightMargin` , and `PM_LayoutBottomMargin` instead.
`static QStyle.PixelMetric` | `PM_DefaultFrameWidth` Default frame width (usually 2).
`static QStyle.PixelMetric` | `PM_DefaultLayoutSpacing` Use `PM_LayoutHorizontalSpacing` and `PM_LayoutVerticalSpacing` instead.
`static QStyle.PixelMetric` | `PM_DefaultTopLevelMargin` Use `PM_LayoutLeftMargin` , `PM_LayoutTopMargin` , `PM_LayoutRightMargin` , and `PM_LayoutBottomMargin` instead.
`static QStyle.PixelMetric` | `PM_DialogButtonsButtonHeight` Minimum height of a button in a dialog buttons widget.
`static QStyle.PixelMetric` | `PM_DialogButtonsButtonWidth` Minimum width of a button in a dialog buttons widget.
`static QStyle.PixelMetric` | `PM_DialogButtonsSeparator` Distance between buttons in a dialog buttons widget.
`static QStyle.PixelMetric` | `PM_DockWidgetFrameWidth` Frame width of a dock window.
`static QStyle.PixelMetric` | `PM_DockWidgetHandleExtent` Width of the handle in a horizontal dock window and the height of the handle in a vertical dock window.
`static QStyle.PixelMetric` | `PM_DockWidgetSeparatorExtent` Width of a separator in a horizontal dock window and the height of a separator in a vertical dock window.
`static QStyle.PixelMetric` | `PM_DockWidgetTitleBarButtonMargin` Amount of whitespace between dock widget's title bar button labels and the frame.
`static QStyle.PixelMetric` | `PM_DockWidgetTitleMargin` Margin of the dock window title.
`static QStyle.PixelMetric` | `PM_ExclusiveIndicatorHeight` Height of a radio button indicator.
`static QStyle.PixelMetric` | `PM_ExclusiveIndicatorWidth` Width of a radio button indicator.
`static QStyle.PixelMetric` | `PM_FocusFrameHMargin` Horizontal margin that the focus frame will outset the widget by.
`static QStyle.PixelMetric` | `PM_FocusFrameVMargin` Vertical margin that the focus frame will outset the widget by.
`static QStyle.PixelMetric` | `PM_HeaderGripMargin` The size of the resize grip in a header.
`static QStyle.PixelMetric` | `PM_HeaderMargin` The size of the margin between the sort indicator and the text.
`static QStyle.PixelMetric` | `PM_HeaderMarkSize` The size of the sort indicator in a header.
`static QStyle.PixelMetric` | `PM_IconViewIconSize` The default size for icons in an icon view.
`static QStyle.PixelMetric` | `PM_IndicatorHeight` Height of a checkbox indicator.
`static QStyle.PixelMetric` | `PM_IndicatorWidth` Width of a check box indicator.
`static QStyle.PixelMetric` | `PM_LargeIconSize` Default large icon size
`static QStyle.PixelMetric` | `PM_LayoutBottomMargin` Default `bottom margin` for a `QLayout`.
`static QStyle.PixelMetric` | `PM_LayoutHorizontalSpacing` Default horizontal spacing for a `QLayout`.
`static QStyle.PixelMetric` | `PM_LayoutLeftMargin` Default `left margin` for a `QLayout`.
`static QStyle.PixelMetric` | `PM_LayoutRightMargin` Default `right margin` for a `QLayout`.
`static QStyle.PixelMetric` | `PM_LayoutTopMargin` Default `top margin` for a `QLayout`.
`static QStyle.PixelMetric` | `PM_LayoutVerticalSpacing` Default vertical spacing for a `QLayout`.
`static QStyle.PixelMetric` | `PM_ListViewIconSize` The default size for icons in a list view.
`static QStyle.PixelMetric` | `PM_MaximumDragDistance` The maximum allowed distance between the mouse and a slider when dragging.
`static QStyle.PixelMetric` | `PM_MdiSubWindowFrameWidth` Frame width of an MDI window.
`static QStyle.PixelMetric` | `PM_MdiSubWindowMinimizedWidth` Width of a minimized MDI window.
`static QStyle.PixelMetric` | `PM_MenuBarHMargin` Spacing between menu bar items and left/right of bar.
`static QStyle.PixelMetric` | `PM_MenuBarItemSpacing` Spacing between menu bar items.
`static QStyle.PixelMetric` | `PM_MenuBarPanelWidth` Frame width of a menu bar, defaults to `PM_DefaultFrameWidth` .
`static QStyle.PixelMetric` | `PM_MenuBarVMargin` Spacing between menu bar items and top/bottom of bar.
`static QStyle.PixelMetric` | `PM_MenuButtonIndicator` Width of the menu button indicator proportional to the widget height.
`static QStyle.PixelMetric` | `PM_MenuDesktopFrameWidth` The frame width for the menu on the desktop.
`static QStyle.PixelMetric` | `PM_MenuHMargin` Additional border (used on left and right) for a `QMenu`.
`static QStyle.PixelMetric` | `PM_MenuPanelWidth` Border width (applied on all sides) for a `QMenu`.
`static QStyle.PixelMetric` | `PM_MenuScrollerHeight` Height of the scroller area in a `QMenu`.
`static QStyle.PixelMetric` | `PM_MenuTearoffHeight` Height of a tear off area in a `QMenu`.
`static QStyle.PixelMetric` | `PM_MenuVMargin` Additional border (used for bottom and top) for a `QMenu`.
`static QStyle.PixelMetric` | `PM_MessageBoxIconSize` The size of the standard icons in a message box
`static QStyle.PixelMetric` | `PM_ProgressBarChunkWidth` Width of a chunk in a progress bar indicator.
`static QStyle.PixelMetric` | `PM_RadioButtonLabelSpacing` The spacing between a radio button indicator and its label.
`static QStyle.PixelMetric` | `PM_ScrollBarExtent` Width of a vertical scroll bar and the height of a horizontal scroll bar.
`static QStyle.PixelMetric` | `PM_ScrollBarSliderMin` The minimum height of a vertical scroll bar's slider and the minimum width of a horizontal scroll bar's slider.
`static QStyle.PixelMetric` | `PM_SizeGripSize` The size of a size grip.
`static QStyle.PixelMetric` | `PM_SliderControlThickness` Thickness of the slider handle.
`static QStyle.PixelMetric` | `PM_SliderLength` Length of the slider.
`static QStyle.PixelMetric` | `PM_SliderSpaceAvailable` The available space for the slider to move.
`static QStyle.PixelMetric` | `PM_SliderThickness` Total slider thickness.
`static QStyle.PixelMetric` | `PM_SliderTickmarkOffset` The offset between the tickmarks and the slider.
`static QStyle.PixelMetric` | `PM_SmallIconSize` Default small icon size
`static QStyle.PixelMetric` | `PM_SpinBoxFrameWidth` Frame width of a spin box, defaults to `PM_DefaultFrameWidth` .
`static QStyle.PixelMetric` | `PM_SpinBoxSliderHeight` The height of the optional spin box slider.
`static QStyle.PixelMetric` | `PM_SplitterWidth` Width of a splitter.
`static QStyle.PixelMetric` | `PM_TabBar_ScrollButtonOverlap` The distance between the left and right buttons in a tab bar.
`static QStyle.PixelMetric` | `PM_TabBarBaseHeight` Height of the area between the tab bar and the tab pages.
`static QStyle.PixelMetric` | `PM_TabBarBaseOverlap` Number of pixels the tab bar overlaps the tab bar base.
`static QStyle.PixelMetric` | `PM_TabBarIconSize` The default icon size for a tab bar.
`static QStyle.PixelMetric` | `PM_TabBarScrollButtonWidth`
`static QStyle.PixelMetric` | `PM_TabBarTabHSpace` Extra space added to the tab width.
`static QStyle.PixelMetric` | `PM_TabBarTabOverlap` Number of pixels the tabs should overlap.
`static QStyle.PixelMetric` | `PM_TabBarTabShiftHorizontal` Horizontal pixel shift when a tab is selected.
`static QStyle.PixelMetric` | `PM_TabBarTabShiftVertical` Vertical pixel shift when a tab is selected.
`static QStyle.PixelMetric` | `PM_TabBarTabVSpace` Extra space added to the tab height.
`static QStyle.PixelMetric` | `PM_TextCursorWidth` The width of the cursor in a line edit or text edit
`static QStyle.PixelMetric` | `PM_TitleBarHeight` Height of the title bar.
`static QStyle.PixelMetric` | `PM_ToolBarExtensionExtent` Width of a toolbar extension button in a horizontal toolbar and the height of the button in a vertical toolbar.
`static QStyle.PixelMetric` | `PM_ToolBarFrameWidth` Width of the frame around toolbars.
`static QStyle.PixelMetric` | `PM_ToolBarHandleExtent` Width of a toolbar handle in a horizontal toolbar and the height of the handle in a vertical toolbar.
`static QStyle.PixelMetric` | `PM_ToolBarIconSize` Default tool bar icon size
`static QStyle.PixelMetric` | `PM_ToolBarItemMargin` Spacing between the toolbar frame and the items.
`static QStyle.PixelMetric` | `PM_ToolBarItemSpacing` Spacing between toolbar items.
`static QStyle.PixelMetric` | `PM_ToolBarSeparatorExtent` Width of a toolbar separator in a horizontal toolbar and the height of a separator in a vertical toolbar.
`static QStyle.PixelMetric` | `PM_ToolTipLabelFrameWidth` The frame width for a tool tip label.

Method Summary
`static QStyle.PixelMetric` | `resolve(int value)` Returns the QStyle$PixelMetric constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.PixelMetric` | `valueOf(java.lang.String name)`
`static QStyle.PixelMetric[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PM_ButtonMargin

    public static final QStyle.PixelMetric PM_ButtonMargin

  Amount of whitespace between push button labels and the frame.

### PM_ButtonDefaultIndicator

    public static final QStyle.PixelMetric PM_ButtonDefaultIndicator

  Width of the default-button indicator frame.

### PM_MenuButtonIndicator

    public static final QStyle.PixelMetric PM_MenuButtonIndicator

  Width of the menu button indicator proportional to the widget height.

### PM_ButtonShiftHorizontal

    public static final QStyle.PixelMetric PM_ButtonShiftHorizontal

  Horizontal contents shift of a button when the button is down.

### PM_ButtonShiftVertical

    public static final QStyle.PixelMetric PM_ButtonShiftVertical

  Vertical contents shift of a button when the button is down.

### PM_DefaultFrameWidth

    public static final QStyle.PixelMetric PM_DefaultFrameWidth

  Default frame width (usually 2).

### PM_SpinBoxFrameWidth

    public static final QStyle.PixelMetric PM_SpinBoxFrameWidth

  Frame width of a spin box, defaults to `PM_DefaultFrameWidth` .

### PM_ComboBoxFrameWidth

    public static final QStyle.PixelMetric PM_ComboBoxFrameWidth

  Frame width of a combo box, defaults to `PM_DefaultFrameWidth` .

### PM_MaximumDragDistance

    public static final QStyle.PixelMetric PM_MaximumDragDistance

  The maximum allowed distance between the mouse and a slider when dragging. Exceeding the specified distance will cause the slider to jump back to the original position; a value of -1 disables this behavior.

### PM_ScrollBarExtent

    public static final QStyle.PixelMetric PM_ScrollBarExtent

  Width of a vertical scroll bar and the height of a horizontal scroll bar.

### PM_ScrollBarSliderMin

    public static final QStyle.PixelMetric PM_ScrollBarSliderMin

  The minimum height of a vertical scroll bar's slider and the minimum width of a horizontal scroll bar's slider.

### PM_SliderThickness

    public static final QStyle.PixelMetric PM_SliderThickness

  Total slider thickness.

### PM_SliderControlThickness

    public static final QStyle.PixelMetric PM_SliderControlThickness

  Thickness of the slider handle.

### PM_SliderLength

    public static final QStyle.PixelMetric PM_SliderLength

  Length of the slider.

### PM_SliderTickmarkOffset

    public static final QStyle.PixelMetric PM_SliderTickmarkOffset

  The offset between the tickmarks and the slider.

### PM_SliderSpaceAvailable

    public static final QStyle.PixelMetric PM_SliderSpaceAvailable

  The available space for the slider to move.

### PM_DockWidgetSeparatorExtent

    public static final QStyle.PixelMetric PM_DockWidgetSeparatorExtent

  Width of a separator in a horizontal dock window and the height of a separator in a vertical dock window.

### PM_DockWidgetHandleExtent

    public static final QStyle.PixelMetric PM_DockWidgetHandleExtent

  Width of the handle in a horizontal dock window and the height of the handle in a vertical dock window.

### PM_DockWidgetFrameWidth

    public static final QStyle.PixelMetric PM_DockWidgetFrameWidth

  Frame width of a dock window.

### PM_TabBarTabOverlap

    public static final QStyle.PixelMetric PM_TabBarTabOverlap

  Number of pixels the tabs should overlap. (Currently only used in styles, not inside of `QTabBar`)

### PM_TabBarTabHSpace

    public static final QStyle.PixelMetric PM_TabBarTabHSpace

  Extra space added to the tab width.

### PM_TabBarTabVSpace

    public static final QStyle.PixelMetric PM_TabBarTabVSpace

  Extra space added to the tab height.

### PM_TabBarBaseHeight

    public static final QStyle.PixelMetric PM_TabBarBaseHeight

  Height of the area between the tab bar and the tab pages.

### PM_TabBarBaseOverlap

    public static final QStyle.PixelMetric PM_TabBarBaseOverlap

  Number of pixels the tab bar overlaps the tab bar base.

### PM_ProgressBarChunkWidth

    public static final QStyle.PixelMetric PM_ProgressBarChunkWidth

  Width of a chunk in a progress bar indicator.

### PM_SplitterWidth

    public static final QStyle.PixelMetric PM_SplitterWidth

  Width of a splitter.

### PM_TitleBarHeight

    public static final QStyle.PixelMetric PM_TitleBarHeight

  Height of the title bar.

### PM_MenuScrollerHeight

    public static final QStyle.PixelMetric PM_MenuScrollerHeight

  Height of the scroller area in a `QMenu`.

### PM_MenuHMargin

    public static final QStyle.PixelMetric PM_MenuHMargin

  Additional border (used on left and right) for a `QMenu`.

### PM_MenuVMargin

    public static final QStyle.PixelMetric PM_MenuVMargin

  Additional border (used for bottom and top) for a `QMenu`.

### PM_MenuPanelWidth

    public static final QStyle.PixelMetric PM_MenuPanelWidth

  Border width (applied on all sides) for a `QMenu`.

### PM_MenuTearoffHeight

    public static final QStyle.PixelMetric PM_MenuTearoffHeight

  Height of a tear off area in a `QMenu`.

### PM_MenuDesktopFrameWidth

    public static final QStyle.PixelMetric PM_MenuDesktopFrameWidth

  The frame width for the menu on the desktop.

### PM_MenuBarPanelWidth

    public static final QStyle.PixelMetric PM_MenuBarPanelWidth

  Frame width of a menu bar, defaults to `PM_DefaultFrameWidth` .

### PM_MenuBarItemSpacing

    public static final QStyle.PixelMetric PM_MenuBarItemSpacing

  Spacing between menu bar items.

### PM_MenuBarVMargin

    public static final QStyle.PixelMetric PM_MenuBarVMargin

  Spacing between menu bar items and top/bottom of bar.

### PM_MenuBarHMargin

    public static final QStyle.PixelMetric PM_MenuBarHMargin

  Spacing between menu bar items and left/right of bar.

### PM_IndicatorWidth

    public static final QStyle.PixelMetric PM_IndicatorWidth

  Width of a check box indicator.

### PM_IndicatorHeight

    public static final QStyle.PixelMetric PM_IndicatorHeight

  Height of a checkbox indicator.

### PM_ExclusiveIndicatorWidth

    public static final QStyle.PixelMetric PM_ExclusiveIndicatorWidth

  Width of a radio button indicator.

### PM_ExclusiveIndicatorHeight

    public static final QStyle.PixelMetric PM_ExclusiveIndicatorHeight

  Height of a radio button indicator.

### PM_CheckListButtonSize

    public static final QStyle.PixelMetric PM_CheckListButtonSize

  Area (width/height) of the checkbox/radio button in a Q3CheckListItem.

### PM_CheckListControllerSize

    public static final QStyle.PixelMetric PM_CheckListControllerSize

  Area (width/height) of the controller in a Q3CheckListItem.

### PM_DialogButtonsSeparator

    public static final QStyle.PixelMetric PM_DialogButtonsSeparator

  Distance between buttons in a dialog buttons widget.

### PM_DialogButtonsButtonWidth

    public static final QStyle.PixelMetric PM_DialogButtonsButtonWidth

  Minimum width of a button in a dialog buttons widget.

### PM_DialogButtonsButtonHeight

    public static final QStyle.PixelMetric PM_DialogButtonsButtonHeight

  Minimum height of a button in a dialog buttons widget.

### PM_MdiSubWindowFrameWidth

    public static final QStyle.PixelMetric PM_MdiSubWindowFrameWidth

  Frame width of an MDI window.

### PM_MdiSubWindowMinimizedWidth

    public static final QStyle.PixelMetric PM_MdiSubWindowMinimizedWidth

  Width of a minimized MDI window.

### PM_HeaderMargin

    public static final QStyle.PixelMetric PM_HeaderMargin

  The size of the margin between the sort indicator and the text.

### PM_HeaderMarkSize

    public static final QStyle.PixelMetric PM_HeaderMarkSize

  The size of the sort indicator in a header.

### PM_HeaderGripMargin

    public static final QStyle.PixelMetric PM_HeaderGripMargin

  The size of the resize grip in a header.

### PM_TabBarTabShiftHorizontal

    public static final QStyle.PixelMetric PM_TabBarTabShiftHorizontal

  Horizontal pixel shift when a tab is selected.

### PM_TabBarTabShiftVertical

    public static final QStyle.PixelMetric PM_TabBarTabShiftVertical

  Vertical pixel shift when a tab is selected.

### PM_TabBarScrollButtonWidth

    public static final QStyle.PixelMetric PM_TabBarScrollButtonWidth

### PM_ToolBarFrameWidth

    public static final QStyle.PixelMetric PM_ToolBarFrameWidth

  Width of the frame around toolbars.

### PM_ToolBarHandleExtent

    public static final QStyle.PixelMetric PM_ToolBarHandleExtent

  Width of a toolbar handle in a horizontal toolbar and the height of the handle in a vertical toolbar.

### PM_ToolBarItemSpacing

    public static final QStyle.PixelMetric PM_ToolBarItemSpacing

  Spacing between toolbar items.

### PM_ToolBarItemMargin

    public static final QStyle.PixelMetric PM_ToolBarItemMargin

  Spacing between the toolbar frame and the items.

### PM_ToolBarSeparatorExtent

    public static final QStyle.PixelMetric PM_ToolBarSeparatorExtent

  Width of a toolbar separator in a horizontal toolbar and the height of a separator in a vertical toolbar.

### PM_ToolBarExtensionExtent

    public static final QStyle.PixelMetric PM_ToolBarExtensionExtent

  Width of a toolbar extension button in a horizontal toolbar and the height of the button in a vertical toolbar.

### PM_SpinBoxSliderHeight

    public static final QStyle.PixelMetric PM_SpinBoxSliderHeight

  The height of the optional spin box slider.

### PM_DefaultTopLevelMargin

    public static final QStyle.PixelMetric PM_DefaultTopLevelMargin

  Use `PM_LayoutLeftMargin` , `PM_LayoutTopMargin` , `PM_LayoutRightMargin` , and `PM_LayoutBottomMargin` instead.

### PM_DefaultChildMargin

    public static final QStyle.PixelMetric PM_DefaultChildMargin

  Use `PM_LayoutLeftMargin` , `PM_LayoutTopMargin` , `PM_LayoutRightMargin` , and `PM_LayoutBottomMargin` instead.

### PM_DefaultLayoutSpacing

    public static final QStyle.PixelMetric PM_DefaultLayoutSpacing

  Use `PM_LayoutHorizontalSpacing` and `PM_LayoutVerticalSpacing` instead.

### PM_ToolBarIconSize

    public static final QStyle.PixelMetric PM_ToolBarIconSize

  Default tool bar icon size

### PM_ListViewIconSize

    public static final QStyle.PixelMetric PM_ListViewIconSize

  The default size for icons in a list view.

### PM_IconViewIconSize

    public static final QStyle.PixelMetric PM_IconViewIconSize

  The default size for icons in an icon view.

### PM_SmallIconSize

    public static final QStyle.PixelMetric PM_SmallIconSize

  Default small icon size

### PM_LargeIconSize

    public static final QStyle.PixelMetric PM_LargeIconSize

  Default large icon size

### PM_FocusFrameVMargin

    public static final QStyle.PixelMetric PM_FocusFrameVMargin

  Vertical margin that the focus frame will outset the widget by.

### PM_FocusFrameHMargin

    public static final QStyle.PixelMetric PM_FocusFrameHMargin

  Horizontal margin that the focus frame will outset the widget by.

### PM_ToolTipLabelFrameWidth

    public static final QStyle.PixelMetric PM_ToolTipLabelFrameWidth

  The frame width for a tool tip label.

### PM_CheckBoxLabelSpacing

    public static final QStyle.PixelMetric PM_CheckBoxLabelSpacing

  The spacing between a check box indicator and its label.

### PM_TabBarIconSize

    public static final QStyle.PixelMetric PM_TabBarIconSize

  The default icon size for a tab bar.

### PM_SizeGripSize

    public static final QStyle.PixelMetric PM_SizeGripSize

  The size of a size grip.

### PM_DockWidgetTitleMargin

    public static final QStyle.PixelMetric PM_DockWidgetTitleMargin

  Margin of the dock window title.

### PM_MessageBoxIconSize

    public static final QStyle.PixelMetric PM_MessageBoxIconSize

  The size of the standard icons in a message box

### PM_ButtonIconSize

    public static final QStyle.PixelMetric PM_ButtonIconSize

  The default size of button icons

### PM_DockWidgetTitleBarButtonMargin

    public static final QStyle.PixelMetric PM_DockWidgetTitleBarButtonMargin

  Amount of whitespace between dock widget's title bar button labels and the frame.

### PM_RadioButtonLabelSpacing

    public static final QStyle.PixelMetric PM_RadioButtonLabelSpacing

  The spacing between a radio button indicator and its label.

### PM_LayoutLeftMargin

    public static final QStyle.PixelMetric PM_LayoutLeftMargin

  Default `left margin` for a `QLayout`.

### PM_LayoutTopMargin

    public static final QStyle.PixelMetric PM_LayoutTopMargin

  Default `top margin` for a `QLayout`.

### PM_LayoutRightMargin

    public static final QStyle.PixelMetric PM_LayoutRightMargin

  Default `right margin` for a `QLayout`.

### PM_LayoutBottomMargin

    public static final QStyle.PixelMetric PM_LayoutBottomMargin

  Default `bottom margin` for a `QLayout`.

### PM_LayoutHorizontalSpacing

    public static final QStyle.PixelMetric PM_LayoutHorizontalSpacing

  Default horizontal spacing for a `QLayout`.

### PM_LayoutVerticalSpacing

    public static final QStyle.PixelMetric PM_LayoutVerticalSpacing

  Default vertical spacing for a `QLayout`.

### PM_TabBar_ScrollButtonOverlap

    public static final QStyle.PixelMetric PM_TabBar_ScrollButtonOverlap

  The distance between the left and right buttons in a tab bar.

### PM_TextCursorWidth

    public static final QStyle.PixelMetric PM_TextCursorWidth

  The width of the cursor in a line edit or text edit

### PM_CustomBase

    public static final QStyle.PixelMetric PM_CustomBase

  Base value for custom pixel metrics. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.PixelMetric CustomEnum

Method Detail

### values

    public static QStyle.PixelMetric[] values()

### valueOf

    public static QStyle.PixelMetric valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.PixelMetric resolve(int value)

  Returns the QStyle$PixelMetric constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD